---
lang: en
title: 'API docs: repository.modeltype'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.modeltype.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [ModelType](./repository.modeltype.md)

## ModelType class

Model type

<b>Signature:</b>

```typescript
export declare class ModelType<T extends Model> extends ObjectType<T> 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(modelClass)](./repository.modeltype._constructor_.md) |  | Constructs a new instance of the <code>ModelType</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [modelClass](./repository.modeltype.modelclass.md) |  | <code>Class&lt;T&gt;</code> |  |
|  [name](./repository.modeltype.name.md) |  | <code>string</code> |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [serialize(value)](./repository.modeltype.serialize.md) |  |  |


